Gentoo Logo
Gentoo Spaceship




Note: Due to technical difficulties, the Archives are currently not up to date. GMANE provides an alternative service for most mailing lists.
c.f. bug 424647
List Archive: gentoo-commits
Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Headers:
To: gentoo-commits@g.o
From: "PaweA Hajdan (phajdan.jr)" <phajdan.jr@g.o>
Subject: gentoo-x86 commit in dev-lang/v8: v8-9999.ebuild ChangeLog v8-3.6.6.5.ebuild v8-3.6.6.6.ebuild
Date: Mon, 14 Nov 2011 12:45:41 +0000 (UTC)
phajdan.jr    11/11/14 12:45:41

  Modified:             v8-9999.ebuild ChangeLog v8-3.6.6.5.ebuild
                        v8-3.6.6.6.ebuild
  Log:
  Fix live ebuild after upstream changed library naming scheme.
  
  (Portage version: 2.1.10.11/cvs/Linux i686)

Revision  Changes    Path
1.21                 dev-lang/v8/v8-9999.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/v8-9999.ebuild?rev=1.21&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/v8-9999.ebuild?rev=1.21&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/v8-9999.ebuild?r1=1.20&r2=1.21

Index: v8-9999.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-9999.ebuild,v
retrieving revision 1.20
retrieving revision 1.21
diff -u -r1.20 -r1.21
--- v8-9999.ebuild	26 Oct 2011 17:02:43 -0000	1.20
+++ v8-9999.ebuild	14 Nov 2011 12:45:41 -0000	1.21
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-9999.ebuild,v 1.20 2011/10/26 17:02:43 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-9999.ebuild,v 1.21 2011/11/14 12:45:41 phajdan.jr Exp $
 
 EAPI="3"
 
@@ -48,7 +48,7 @@
 
 	if [[ ${PV} == "9999" ]]; then
 		subversion_wc_info
-		soname_version="${PV}-${ESVN_WC_REVISION}"
+		soname_version="${PV}.${ESVN_WC_REVISION}"
 	else
 		soname_version="${PV}"
 	fi
@@ -84,12 +84,12 @@
 
 	if [[ ${CHOST} == *-darwin* ]] ; then
 		install_name_tool \
-			-id "${EPREFIX}"/usr/$(get_libdir)/libv8-${soname_version}$(get_libname) \
-			out/${mytarget}/lib.target/libv8-${soname_version}$(get_libname) || die
+			-id "${EPREFIX}"/usr/$(get_libdir)/libv8$(get_libname).${soname_version} \
+			out/${mytarget}/lib.target/libv8$(get_libname).${soname_version} || die
 	fi
 
-	dolib out/${mytarget}/lib.target/libv8-${soname_version}$(get_libname) || die
-	dosym libv8-${soname_version}$(get_libname) /usr/$(get_libdir)/libv8$(get_libname) || die
+	dolib out/${mytarget}/lib.target/libv8$(get_libname).${soname_version} || die
+	dosym libv8$(get_libname).${soname_version} /usr/$(get_libdir)/libv8$(get_libname) || die
 
 	dodoc AUTHORS ChangeLog || die
 }
@@ -106,6 +106,12 @@
 			preserved_libs+=( "${EPREFIX}/usr/$(get_libdir)/${baselib}" )
 		fi
 	done
+	for candidate in "${EROOT}usr/$(get_libdir)"/libv8$(get_libname).*; do
+		baselib=${candidate##*/}
+		if [[ ! -e "${ED}usr/$(get_libdir)/${baselib}" ]]; then
+			preserved_libs+=( "${EPREFIX}/usr/$(get_libdir)/${baselib}" )
+		fi
+	done
 
 	eshopts_pop
 



1.103                dev-lang/v8/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/ChangeLog?rev=1.103&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/ChangeLog?rev=1.103&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/ChangeLog?r1=1.102&r2=1.103

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/v8/ChangeLog,v
retrieving revision 1.102
retrieving revision 1.103
diff -u -r1.102 -r1.103
--- ChangeLog	11 Nov 2011 11:56:16 -0000	1.102
+++ ChangeLog	14 Nov 2011 12:45:41 -0000	1.103
@@ -1,6 +1,10 @@
 # ChangeLog for dev-lang/v8
 # Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/ChangeLog,v 1.102 2011/11/11 11:56:16 phajdan.jr Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/ChangeLog,v 1.103 2011/11/14 12:45:41 phajdan.jr Exp $
+
+  14 Nov 2011; Pawel Hajdan jr <phajdan.jr@g.o> v8-3.6.6.5.ebuild,
+  v8-3.6.6.6.ebuild, v8-9999.ebuild:
+  Fix live ebuild after upstream changed library naming scheme.
 
   11 Nov 2011; Pawel Hajdan jr <phajdan.jr@g.o> v8-3.5.10.23.ebuild:
   x86 stable wrt security bug #390113



1.6                  dev-lang/v8/v8-3.6.6.5.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/v8-3.6.6.5.ebuild?rev=1.6&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/v8-3.6.6.5.ebuild?rev=1.6&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/v8-3.6.6.5.ebuild?r1=1.5&r2=1.6

Index: v8-3.6.6.5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-3.6.6.5.ebuild,v
retrieving revision 1.5
retrieving revision 1.6
diff -u -r1.5 -r1.6
--- v8-3.6.6.5.ebuild	26 Oct 2011 17:02:43 -0000	1.5
+++ v8-3.6.6.5.ebuild	14 Nov 2011 12:45:41 -0000	1.6
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-3.6.6.5.ebuild,v 1.5 2011/10/26 17:02:43 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-3.6.6.5.ebuild,v 1.6 2011/11/14 12:45:41 phajdan.jr Exp $
 
 EAPI="3"
 
@@ -105,6 +105,12 @@
 			preserved_libs+=( "${EPREFIX}/usr/$(get_libdir)/${baselib}" )
 		fi
 	done
+	for candidate in "${EROOT}usr/$(get_libdir)"/libv8$(get_libname).*; do
+		baselib=${candidate##*/}
+		if [[ ! -e "${ED}usr/$(get_libdir)/${baselib}" ]]; then
+			preserved_libs+=( "${EPREFIX}/usr/$(get_libdir)/${baselib}" )
+		fi
+	done
 
 	eshopts_pop
 



1.2                  dev-lang/v8/v8-3.6.6.6.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/v8-3.6.6.6.ebuild?rev=1.2&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/v8-3.6.6.6.ebuild?rev=1.2&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/dev-lang/v8/v8-3.6.6.6.ebuild?r1=1.1&r2=1.2

Index: v8-3.6.6.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-3.6.6.6.ebuild,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -r1.1 -r1.2
--- v8-3.6.6.6.ebuild	2 Nov 2011 02:33:46 -0000	1.1
+++ v8-3.6.6.6.ebuild	14 Nov 2011 12:45:41 -0000	1.2
@@ -1,6 +1,6 @@
 # Copyright 1999-2011 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-3.6.6.6.ebuild,v 1.1 2011/11/02 02:33:46 floppym Exp $
+# $Header: /var/cvsroot/gentoo-x86/dev-lang/v8/v8-3.6.6.6.ebuild,v 1.2 2011/11/14 12:45:41 phajdan.jr Exp $
 
 EAPI="3"
 
@@ -105,6 +105,12 @@
 			preserved_libs+=( "${EPREFIX}/usr/$(get_libdir)/${baselib}" )
 		fi
 	done
+	for candidate in "${EROOT}usr/$(get_libdir)"/libv8$(get_libname).*; do
+		baselib=${candidate##*/}
+		if [[ ! -e "${ED}usr/$(get_libdir)/${baselib}" ]]; then
+			preserved_libs+=( "${EPREFIX}/usr/$(get_libdir)/${baselib}" )
+		fi
+	done
 
 	eshopts_pop
 





Navigation:
Lists: gentoo-commits: < Prev By Thread Next > < Prev By Date Next >
Previous by thread:
gentoo-x86 commit in net-ftp/proftpd: ChangeLog proftpd-1.3.4a.ebuild proftpd-1.3.4.ebuild
Next by thread:
gentoo-x86 commit in net-wireless/iw: ChangeLog iw-3.2.ebuild
Previous by date:
gentoo-x86 commit in net-ftp/proftpd: ChangeLog proftpd-1.3.4a.ebuild proftpd-1.3.4.ebuild
Next by date:
gentoo-x86 commit in app-crypt/heimdal: ChangeLog heimdal-1.5.1.ebuild


Updated Jun 26, 2012

Summary: Archive of the gentoo-commits mailing list.

Donate to support our development efforts.

Copyright 2001-2013 Gentoo Foundation, Inc. Questions, Comments? Contact us.